## Apache Zeta Components Manual :: Docs For Class ezcFeedAtom

### Feed::ezcFeedAtom

### Class ezcFeedAtom

Class providing parsing and generating of ATOM feeds.

Specifications: ATOM RFC4287.

Source for this file: /Feed/src/processors/atom.php

### Implements interfaces:

- ezcFeedParser

    ezcFeedProcessor
       |
       --ezcFeedAtom

Version: | //autogentag//

### Constants

`CONTENT_TYPE = 'application/atom+xml'` | Defines the feed content type of this processor.
`FEED_TYPE = 'atom'` | Defines the feed type of this processor.
`NAMESPACE_URI = 'http://www.w3.org/2005/Atom'` | Defines the namespace for ATOM feeds.

### Method Summary

public static bool | `canParse( $xml )` Returns true if the parser can parse the provided XML document object, false otherwise.
public ezcFeedAtom | `__construct( $container )` Creates a new ATOM processor.
public string | `generate( )` Returns an XML string from the feed information contained in this processor.
public ezcFeed | `parse( $xml )` Parses the provided XML document object and returns an ezcFeed object from it.

### Inherited Methods

From ezcFeedProcessor
public abstract string | `ezcFeedProcessor::generate()` Returns an XML string from the feed information contained in this processor.
public array(ezcFeedModule) | `ezcFeedProcessor::getModules()` Returns an array with all the modules loaded at feed-level.

### Methods

#### canParse

static bool canParse( $xml )

Returns true if the parser can parse the provided XML document object, false otherwise.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$xml` | DOMDocument | The XML document object to check for parseability

##### Implementation of:

Method | Description
--- | ---
`ezcFeedParser::canParse()` | Returns true if the parser can parse the provided XML document object, false otherwise.

#### __construct

ezcFeedAtom __construct( ezcFeed $container )

Creates a new ATOM processor.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$container` | ezcFeed | The feed data container used when generating

#### generate

string generate( )

Returns an XML string from the feed information contained in this processor.

##### Redefinition of:

Method | Description
--- | ---
`ezcFeedProcessor::generate()` | Returns an XML string from the feed information contained in this processor.

#### parse

ezcFeed parse( $xml )

Parses the provided XML document object and returns an ezcFeed object from it.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$xml` | DOMDocument | The XML document object to parse

##### Exceptions:

Type | Description
--- | ---
`ezcFeedParseErrorException` | If an error was encountered during parsing.

##### Implementation of:

Method | Description
--- | ---
`ezcFeedParser::parse()` | Parses the provided XML document object and returns an ezcFeed object from it.

Documentation generated by phpDocumentor 1.4.3